<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.zjgsu.jianshu">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" /> <!-- 监听网络的变化 -->
    <!-- 网络权限 -->

    <!--获取wifi网络状态的信息 -->
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" /> <!-- 设备休眠 -->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" /> <!-- sd卡存储 -->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.CAMERA" /> <!-- 摄像头 -->
    <uses-permission android:name="android.permission.RECORD_AUDIO" /> <!-- 录音 -->
    <uses-permission android:name="android.permission.VIBRATE" />


    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:networkSecurityConfig="@xml/test"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.Jianshu"
        android:usesCleartextTraffic="true">
        <activity android:name=".Book_informationActivity" />
        <activity android:name=".PerceptionActivity" />
        <activity android:name=".FindpwdActivity"/>
        <activity android:name=".WenXueActivity"/>
        <activity android:name=".xinliActivity"/>
        <activity android:name=".guanliActivity"/>
        <activity android:name=".zhexueActivity"/>
<!--        <activity android:name=".BookShelfActivity"/>-->
        <activity android:name=".kexueActivity"/>
        <activity android:name=".author_introductionActivity"/>
        <!--        <activity android:name=".MainActivity"-->
<!--            android:exported="true"-->
<!--            android:label="@string/app_name"-->
<!--            >-->
<!--            <intent-filter>-->
<!--                <action android:name="android.intent.action.MAIN" />-->

<!--                <category android:name="android.intent.category.LAUNCHER" />-->
<!--            </intent-filter>-->
<!--        </activity>-->
        <activity android:name=".Activity.BookIntro"/>
         <activity android:name=".LoginActivity"
             android:configChanges="orientation|keyboard|keyboardHidden|navigation"
             android:windowSoftInputMode="adjustPan|stateVisible"/>
        <activity android:name=".RegisterActivity" />
        <activity android:name=".BookShelfActivity"/>
        <activity android:name=".Activity.Perception_informationActivity"/>
        <activity android:name=".Activity.sendPerceptionActivity"/>
        <activity android:name=".MyActivity"/>
        <activity android:name=".Activity.MyPostActivity"/>
        <activity android:name=".ReEmailActivity"/>
        <activity android:name=".RePhoneActivity"/>
        <activity android:name=".ReMyinfoActivity"/>
        <activity android:name=".ReNameActivity"/>
        <activity android:name=".ReSexActivity"/>
        <activity android:name=".ReSignatureActivity"/>
        <activity android:name=".Activity.AccountManagerActivity"/>
        <activity android:name=".ReAddressActivity"/>
        <activity
            android:name=".MainActivity"
            android:exported="true"
            android:label="Jianshu">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <provider
            android:name="cn.bmob.v3.util.BmobContentProvider"
            android:authorities="com.zjgsu.jianshu.BmobContentProvider">
        </provider>
    </application>

</manifest>